| D++ (DPP) C++ Discord API Bot Library

Search
Loading...
Searching...
No Matches
dpp::etf_buffer Struct Reference

Represents a buffer of bytes being encoded into ETF. More...

`#include <etf.h>`

Collaboration diagram for dpp::etf_buffer:
[legend]

## Public Member Functions

| etf_buffer (size_t initial)
| Construct a new etf buffer object.
| ~etf_buffer ()
| Destroy the etf buffer object.

## Public Attributes

std::vector< char > | buf
| Raw buffer.
size_t | length
| Current used length of buffer (this is different from buf.size() as it is pre-allocated using resize and may not all be in use).

## Detailed Description

Represents a buffer of bytes being encoded into ETF.

## Constructor & Destructor Documentation

## ◆ etf_buffer()

dpp::etf_buffer::etf_buffer | ( | size_t | initial | ) |

Construct a new etf buffer object.

Parameters

  initial | initial buffer size to allocate

## ◆ ~etf_buffer()

dpp::etf_buffer::~etf_buffer | ( |  | ) |

Destroy the etf buffer object.

## Member Data Documentation

## ◆ buf

std::vector<char> dpp::etf_buffer::buf

Raw buffer.

## ◆ length

size_t dpp::etf_buffer::length

Current used length of buffer (this is different from buf.size() as it is pre-allocated using resize and may not all be in use).

D++ Library version 9.0.13 D++ Library version 9.0.12 D++ Library version 9.0.11 D++ Library version 9.0.10 D++ Library version 9.0.9 D++ Library version 9.0.8 D++ Library version 9.0.7 D++ Library version 9.0.6 D++ Library version 9.0.5 D++ Library version 9.0.4 D++ Library version 9.0.3 D++ Library version 9.0.2 D++ Library version 9.0.1 D++ Library version 9.0.0 D++ Library version 1.0.2 D++ Library version 1.0.1 D++ Library version 1.0.0